Delete a spending limit
curl --request DELETE \
--url https://developer-api.squads.so/api/v1/smart-accounts/{smart_account_address}/spending-limits/{spending_limit_address} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-squads-network: <x-squads-network>' \
--data '
{
"transaction_signers": [
"<string>"
],
"fee_config": {
"currency": "<string>",
"payer_address": "<string>",
"self_managed_fees": false
}
}
'import requests
url = "https://developer-api.squads.so/api/v1/smart-accounts/{smart_account_address}/spending-limits/{spending_limit_address}"
payload = {
"transaction_signers": ["<string>"],
"fee_config": {
"currency": "<string>",
"payer_address": "<string>",
"self_managed_fees": False
}
}
headers = {
"x-squads-network": "<x-squads-network>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-squads-network': '<x-squads-network>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transaction_signers: ['<string>'],
fee_config: {currency: '<string>', payer_address: '<string>', self_managed_fees: false}
})
};
fetch('https://developer-api.squads.so/api/v1/smart-accounts/{smart_account_address}/spending-limits/{spending_limit_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": "<string>",
"fee": {
"amount": "<string>",
"amount_decimal": "<string>",
"currency": "<string>",
"sol_equivalent": {
"amount": "<string>",
"amount_decimal": "<string>"
}
}
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"metadata": {
"status": 123,
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_id": "<string>",
"useful_links": [
"<string>"
]
},
"custom": {},
"simulation_logs": [
"<string>"
]
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"metadata": {
"status": 123,
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_id": "<string>",
"useful_links": [
"<string>"
]
},
"custom": {},
"simulation_logs": [
"<string>"
]
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"metadata": {
"status": 123,
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_id": "<string>",
"useful_links": [
"<string>"
]
},
"custom": {},
"simulation_logs": [
"<string>"
]
}Spending Limits
Delete Spending Limit
Delete an existing spending limit
DELETE
/
api
/
v1
/
smart-accounts
/
{smart_account_address}
/
spending-limits
/
{spending_limit_address}
Delete a spending limit
Remove an existing spending limit from a Smart Account.
Key Concepts
- Permanent Removal: The spending limit will be completely removed
- Transaction Signing: Requires approval from authorized signers
- Account Recovery: Rent from the spending limit account can be reclaimed
Important Notes
- Cannot be undone - create a new limit if needed later
- Any unused amount will be inaccessible
- Transaction must be signed by enough signers to meet threshold
- Returns 404 if the spending limit doesn’t exist
Authorizations
UUID-based API key provided by Squads
Headers
Specifies the network for the API request
Available options:
mainnet, devnet Path Parameters
The address of the smart account
The address of the spending limit
Was this page helpful?
⌘I